#include <applicat.h>
#include <isam.h>
#include <progind.h>
#include <urldefid.h>

///////////////////////////////////////////////////////////
// Testfil
///////////////////////////////////////////////////////////

class TTest_application : public TApplication
{

protected:
  bool create() { dispatch_e_menu(BAR_ITEM(1)); return TRUE; }
  bool destroy() { return TRUE; }
  bool menu(MENU_TAG);

public:
  TTest_application() {}
};

bool TTest_application::menu(MENU_TAG)
{            
  TLocalisamfile tab(LF_COMUNI);
  const TRecnotype n = tab.items();
  
  clock_t start;
  TRecnotype r = 1;
  TString80 msg;
{
  TProgind p(n, "Lettura file comuni", TRUE, TRUE, 32);
  start = clock();
  for (tab.first(); tab.good(); tab.next(), r++)
  {  
    if ((r % 100) == 0)
    {
      msg.format("%ld records %ld msec", r, clock() - start);             
      p.setstatus(r);
      p.set_text(msg);
      if (p.iscancelled()) break;
    }  
  }     
}
const clock_t t = clock() - start;
msg.format("%ld records in %ld msec\n%lg records per sec", r, t, 1000.0*r/t);             
message_box(msg);

return TRUE;
}

///////////////////////////////////////////////////////////


int ba1200(int argc, char** argv)
{
  TTest_application a;
  a.run(argc, argv, "Test File");
  return 0;
}

